Subject: Re: bug#67006: 30.0.50; w32-shell-execute will freeze Emacs on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Nov 2023 09:12:55 +0200

> From: Eason Huang <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 11 Nov 2023 07:28:40 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Anyway, I think this is not an Emacs bug, in which case we should
> > close it.
> 
> Sure, feel free to close the bug, if it is not an Emacs bug.

Done.

> I also find another instresting thing:
> 
> 1. Eval `(w32-shell-execute "open" "C:/Windows/SysWOW64/")` will freeze
> Emacs.
> 
> 2. Eval `(executable-find "C:/Windows/SysWOW64/explorer")` one time, and
> then eval `(w32-shell-execute "open" "C:/Windows/SysWOW64/")` will open
> the "C:/Windows/SysWOW64/" folder.
> 
> 3. And then `(w32-shell-execute "open" "C:/Windows/SysWOW64/")` always
> works.
> 
> reboot computer, issue exist again.
> 
> 
> Do you have any advice on the above case?

I cannot reproduce it.  Is this again on those systems where you have
PowerToys installed?

In any case, my Emacs is a 32-bit build, so maybe that is a factor
(since SysWOW64 is a special directory for 32-bit programs running on
64-bit Windows).